#ifndef MENUH
#define MENUH

#include <vector>
#include <string>

struct MenuItem
{
	MenuItem(std::string newID = "", std::string newLabel = "", std::string newExecute = "") : id(newID), label(newLabel), execute(newExecute), selected(0) {}
	std::string id;
	std::string label;
	std::string execute;
	int selected;
	std::vector<std::string> choices;
};

struct MenuData
{
	std::vector<MenuItem> data;
	unsigned int selected;
	std::string id;
};

bool load(const char *filename, std::vector<MenuData> &menus);

#endif
