#ifndef XMLPARSERH
#define XMLPARSERH

#include <expat.h>

class XMLParser
{
	static void staticStart(void *userData, const XML_Char *name, const XML_Char **atts);
	static void staticEnd(void *userData, const XML_Char *name);
	static void staticData(void *userData, const XML_Char *s, int len);
	virtual void start(void *userData, const XML_Char *name, const XML_Char **atts) {}
	virtual void end(void *userData, const XML_Char *name) {}
	virtual void data(void *userData, const XML_Char *s, int len) {}
public:
	XMLParser();
	virtual ~XMLParser() {}
	bool parse(const char *filename);
};

#endif
