#ifndef CONSOLEH
#define CONSOLEH

#include <list>
#include <string>

class Console
{
	std::list<std::string> buffer;
	bool useCurrent;
	unsigned int maxLines;
public:
	Console(unsigned int newMax = 128);
	void print(const char *line);
	std::string current();
	void current(const std::string &newCurrent);
	void finalizeCurrent();
	std::list<std::string> &data();
	void setMaxLines(unsigned int newMax);
};

#endif
