#include "explosive.h"

#include <iostream>

// When an explosive makes contact with something, remove the explosive from the list of objects and delete it.
void Explosive::contactEvent(Physics::Environment env)
{
	std::cout << "Explosive::contactEvent" << std::endl;
	
	deleted = true;
	
	if (explosion)
	{
		for (std::list<Object *>::iterator i = env.objects->begin(); i != env.objects->end(); i++)
		{
			if ((*i)->id() == explosion)
			{
				std::cout << "Activating explosion " << (*i)->id() << std::endl;
				(*i)->position = position;
				(*i)->active = true;
				(*i)->resting = true;
			}
		}
	}
}
