#ifndef TMATRIXH
#define TMATRIXH

#include "vertex.h"

#include <iostream>

class tMatrix
{
	float data[4][4]; // data[row][col]
public:
	tMatrix();
	void loadIdentity();
	tMatrix operator*(const tMatrix &a);
	tMatrix operator+(const tMatrix &a);
	vertex operator*(const vertex &a);
	void translate(const vertex &a);
	void rotate(const vertex &a);
	void scale(const vertex &a);

	friend std::ostream &operator<<(std::ostream &stream, const tMatrix &m);
};

#endif

